PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package damage
  Definition Classes
    serverobject
- AggravatedBehavior
- Damageable
- DamageableAmenity
- DamageableEntity
- DamageableMountable
- DamageableVehicle
- DamageableWeaponTurret

o

net.psforever.objects.serverobject.damage

# Damageable

###
Companion trait Damageable

#### object Damageable

Source
  Damageable.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Damageable
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final type Target = PlanetSideServerObject with Vitality

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CanDamage(obj: Vitality with FactionAffinity, damage: Int, data: DamageInteraction): Boolean

   Does the possibility exist that the designated target can be affected by this projectile's damage?

   Does the possibility exist that the designated target can be affected by this projectile's damage?

   obj

     the entity being damaged

   damage

     the amount of damage

   data

     historical information about the damage

   returns

     `true`, if the target can be affected; `false`, otherwise

   See also

     `Hackable`

     `ObjectDefinition.DamageableByFriendlyFire`

5.  def CanDamageOrJammer(obj: Vitality with FactionAffinity, damage: Int, data: DamageInteraction): Boolean

   Does the possibility exist that the designated target can be affected by this projectile?

   Does the possibility exist that the designated target can be affected by this projectile?

   obj

     the entity being damaged

   damage

     the amount of damage

   data

     historical information about the damage

   returns

     `true`, if the target can be affected; `false`, otherwise

6.  def CanJammer(obj: Vitality with FactionAffinity, data: DamageInteraction): Boolean

   Does the possibility exist that the designated target can be affected by this projectile's jammer effect?

   Does the possibility exist that the designated target can be affected by this projectile's jammer effect?

   obj

     the entity being damaged

   data

     historical information about the damage

   returns

     `true`, if the target can be affected; `false`, otherwise

   See also

     `Hackable`

     `ProjectileDefinition..JammerProjectile`

7.  def DestructionAwareness(target: Target, cause: DamageResult): Unit

   The entity has ben destroyed.

   The entity has ben destroyed.

   target

     the entity being damaged

   cause

     historical information about the damage

8.  final val LogChannel: String
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped